
.node {
    position: absolute;
    background-color: #fff;
    border: 1px solid #cacaca;
    -webkit-box-shadow: 0 2px 7px 2px #cacaca;
    box-shadow: 0 2px 7px 2px #cacaca;
    width: 200px;
    cursor: move;
}

.node.selected {
    border: 1px solid #4ea9ffb0;
    -webkit-box-shadow: 0 2px 7px 2px #4ea9ffb0;
    box-shadow: 0 2px 7px 2px #4ea9ffb0;
}

.title {
    line-height: 50px;
    margin-left: 10px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.title i {
    vertical-align: middle;
    padding-right: 5px;
}

.dot.input,
.dot.output {
    background-color: #eee;
    border: 2px solid #666;
    border-radius: 50%;
    width: 10px;
    height: 10px;
    left: 95px;
    position: absolute;
}

.dot.input {
    top: -6px;
}

.dot.output {
    top: 48px;
}

.dot:hover {
    background-color: #4ea9ffb0;
    cursor: crosshair;
}

.remove {
    position: absolute;
    top: -7px;
    right: -8px;
    z-index: 9999;
    font-size: 12px;
    font-weight: bold;
    color: #000;
    background-color: #fffa;
    border: 1px solid #ccc;
    border-radius: 50%;
    display: none;
}

.remove:hover {
    color: #fff;
    background-color: #f00a;
    cursor: pointer;
}

.node:hover .remove:not([disabled]) {
    display: block;
}
